#!/bin/sh

# Setup this shell on your system by creating an alias like so
# alias metricDB="PATH/homeless-mobile/ios-app/test/metric.sh USER PASSWORD$"
#
# substituting proper values for PATH ROOT and PASSWORD
# PATH			--- path to 'homeless-mobile' folder as it is on your system
# USER			--- probably root
# PASSWORD		--- actual password for USER
#
# you can place this alias in your .bash_profile and then execute it with the command
# metricDB
# from any folder on your system

alias _MYSQL="mysql --show-warnings=FALSE -s --user=${1} --password=${2} metric_audit"

echo "\t\t Please ignore the warnings 'Using a password on the command line...'"
echo "\t\t I cant figure out how to stop them"

echo "\n\n\t\t Tables in METRIC_AUDIT schema:"
echo "show tables in metric_audit" | _MYSQL

echo "\n\n\t\t Content of METRIC table:"
echo "select * from metric;" | _MYSQL

echo "\n\n\t\t Content of METRIC_DATA table:"
echo "select * from metric_data;" | _MYSQL
