define(
	[
	'Global', 'App', 'Utilities', 'HomesVet'
	],
	function(Global, App, Utilities, HomesVet) {
		'use strict';
		var singleInstance, collection,
		HomesVets = Backbone.Collection.extend({
			model:		HomesVet,
			initialize: function(params) {
				collection = this;
			}
		});

		HomesVets.instance = function (params) {
			if (typeof singleInstance === "undefined") {
				singleInstance = new HomesVets(params);
			}
            return singleInstance;
        };

        HomesVets.clearInstance = function() {
            singleInstance = undefined;
        };

        return HomesVets;
	}
);
