define(
	[ 'App', 'Global', 'jQM', 'MainView',
	'HomesUser', 'HomesVets', 'FormRules',
	'Text!../html/templates/panes/blank.html' ],
	function(App, Global, jQM, MainView,
			HomesUser, HomesVets, FormRules,
			template) {
		'use strict';
		var view;
		var BlankView = Backbone.View.extend({
			id:				'homes-search',
			tagName:		'div',
			attributes : {
				'class':	'homes-search'
			},
			initialize : function(metaData) {
				view = this;
				view.template = _.template(template);
				view.metaData = metaData ? metaData : {};
			},
			render : function() {
				view.$el.append(this.template(view.metaData))
				var $container = $('#main').find(":jqmData(role='content')");
				$container.empty().append(view.$el);
				$('#main').trigger('create');
				return view;
			},
			events: {
			}
		});
		return BlankView;
	}
);
