USE [master]
GO
IF EXISTS (SELECT 1 FROM master..sysdatabases WHERE name = '${db.name.homes}')
BEGIN
	ALTER DATABASE ${db.name.homes}
	SET SINGLE_USER WITH ROLLBACK IMMEDIATE
	DROP DATABASE ${db.name.homes}
END
GO
RESTORE DATABASE ${db.name.homes} FROM DISK = N'${db.backup.filename}' WITH  FILE = ${db.backup.filenumber},  
	MOVE N'VAHomes_DEV' TO N'${mssql.data.dir}\${db.name.homes}.mdf',  
	MOVE N'VAHomes_DEV _log' TO N'${mssql.data.dir}\${db.name.homes}.ldf', NOUNLOAD, STATS = 10
GO
