define(
	[ 'Global', 'App',
	'Text!../html/templates/panes/homes/about.html'
	],
	function(Global, App, template) {
		'use strict';
		var view;
		return Backbone.View.extend({
			id:				'about',
			tagName:		'div',
			attributes : {
				'class':	'about'
			},
			initialize : function(metaData) {
				view = this;
				view.template = _.template(template);
				view.metaData = metaData ? metaData : {};
			},
			render : function() {
				view.$el.empty();
				view.$el.append(view.template(view.metaData))
				var $container = $('#main').find(":jqmData(role='content')");
				$container.empty().append(view.$el).trigger('create');
				return view;
			},
			events: {
			}
		});
	});
